Account Remove Role
Remove a role from an account. Requires MANAGE_ROLES. Removing a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. The built-in admin role cannot be removed from yourself, and the default member role cannot be removed. Removals that would leave no active account with ADMINISTRATOR are rejected with 400.
Remove a role from an account. Requires MANAGE_ROLES. Removing a role that grants ADMINISTRATOR additionally requires ADMINISTRATOR. The built-in admin role cannot be removed from yourself, and the default member role cannot be removed. Removals that would leave no active account with ADMINISTRATOR are rejected with 400.
storyden-session<token>role_id*stringRole ID
xidaccount_handle*stringAccount handle.
OK
application/json- response
id*IdentifierA unique identifier for this resource.
xidcreatedAt*stringThe time the resource was created.
date-timeupdatedAt*stringThe time the resource was updated.
date-timedeletedAt?stringThe time the resource was soft-deleted.
date-timemisc?Arbitrary extra data stored with the resource.
joined*MemberJoinedDateThe time the resource was created.
date-timesuspended?MemberSuspendedDateThe time the resource was created.
date-timehandle*AccountHandleThe unique @ handle of an account.
name*AccountNameThe account owners display name.
roles*array<>bio*AccountBioThe rich-text bio for an account's public profile.
signature?AccountSignatureThe rich-text signature shown beneath a member's posts.
links*array<>meta*Arbitrary metadata for the resource.
verified_status*AccountVerifiedStatus"none""verified_email""manual"kind*AccountKind"human""bot"email_addresses*array<>If the instance is configured to not use any email features for auth or transactional/content communications, this will always be empty.
auth_services*array<AuthProviderIdentifier>notifications?NotificationCountadmin*booleaninvited_by?A minimal reference to an account.
curl -X DELETE 'https://example.com/api/accounts/southclaws/roles/string'{ "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "roles": [ { "id": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "misc": {}, "name": "string", "colour": "string", "permissions": [ "CREATE_POST" ], "meta": {}, "badge": true, "default": true } ], "bio": "string", "signature": "string", "links": [ { "text": "string", "url": "string" } ], "meta": {}, "verified_status": "none", "kind": "human", "email_addresses": [ { "id": "string", "email_address": "string", "verified": true } ], "auth_services": [ "string" ], "notifications": 0, "admin": true, "invited_by": { "id": "string", "joined": "2019-08-24T14:15:22Z", "suspended": "2019-08-24T14:15:22Z", "handle": "string", "name": "string", "signature": "string", "roles": [ { "badge": true, "default": true, "id": "string", "name": "string", "colour": "string", "meta": {} } ] }}Account Password Reset Token Get POST
Provides the caller with a token that can be used with the endpoint `/auth/password/reset` to reset the account's password. This is intended for admin usage for when the instance is not using email authentication mode or if the target account has no email addresses to send resets.
Account Role Remove Badge DELETE
Removes the badge from the profile. This does not remove the role from the account, only the visual badge-status representation of the role.